# Class TCefNavigationEntryRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFNavigationEntry

## Declaration

`type TCefNavigationEntryRef = class(TCefBaseRefCountedRef, ICefNavigationEntry)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefNavigationEntryRef

## Overview

### Methods

| `function IsValid: Boolean;`
| `function GetUrl: ustring;`
| `function GetDisplayUrl: ustring;`
| `function GetOriginalUrl: ustring;`
| `function GetTitle: ustring;`
| `function GetTransitionType: TCefTransitionType;`
| `function HasPostData: Boolean;`
| `function GetCompletionTime: TDateTime;`
| `function GetHttpStatusCode: Integer;`
| `function GetSSLStatus: ICefSSLStatus;`
| `class function UnWrap(data: Pointer): ICefNavigationEntry;`

## Description

### Methods

| `function IsValid: Boolean;`
This item has no description. Showing description inherited from ICefNavigationEntry.IsValid. Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

| `function GetUrl: ustring;`
This item has no description. Showing description inherited from ICefNavigationEntry.GetUrl. Returns the actual URL of the page. For some pages this may be data: URL or similar. Use get_display_url() to return a display-friendly version.

| `function GetDisplayUrl: ustring;`
This item has no description. Showing description inherited from ICefNavigationEntry.GetDisplayUrl. Returns a display-friendly version of the URL.

| `function GetOriginalUrl: ustring;`
This item has no description. Showing description inherited from ICefNavigationEntry.GetOriginalUrl. Returns the original URL that was entered by the user before any redirects.

| `function GetTitle: ustring;`
This item has no description. Showing description inherited from ICefNavigationEntry.GetTitle. Returns the title set by the page. This value may be NULL.

| `function GetTransitionType: TCefTransitionType;`
This item has no description. Showing description inherited from ICefNavigationEntry.GetTransitionType. Returns the transition type which indicates what the user did to move to this page from the previous page.

| `function HasPostData: Boolean;`
This item has no description. Showing description inherited from ICefNavigationEntry.HasPostData. Returns true (1) if this navigation includes post data.

| `function GetCompletionTime: TDateTime;`
This item has no description. Showing description inherited from ICefNavigationEntry.GetCompletionTime. Returns the time for the last known successful navigation completion. A navigation may be completed more than once if the page is reloaded. May be 0 if the navigation has not yet completed.

| `function GetHttpStatusCode: Integer;`
This item has no description. Showing description inherited from ICefNavigationEntry.GetHttpStatusCode. Returns the HTTP status code for the last known successful navigation response. May be 0 if the response has not yet been received or if the navigation has not yet completed.

| `function GetSSLStatus: ICefSSLStatus;`
This item has no description. Showing description inherited from ICefNavigationEntry.GetSSLStatus. Returns the SSL information for this navigation entry.

| `class function UnWrap(data: Pointer): ICefNavigationEntry;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.